AOZ Studio Beta - Bug #622

hrev/vrev block commands
01/20/2021 08:05 AM - malcolm harvey

Status: Feedback Start date: 01/20/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B8) u15

Description

Currently if you try and use the cmds hrev/vrev block num it comes up with syntax error.
Hrev Block number or Vrev Block number

History

#1 - 01/20/2021 08:13 AM - malcolm harvey
malcolm harvey wrote:

Currently if you try and use the cmds hrev/vrev block num it comes up with syntax error.
Hrev Block number or Vrev Block number

Should work or get error on any screen im guessing..
screen 2

Get Block 1,320,448,160,64

Hrev Block 1

#2 - 01/24/2021 11:33 AM - Francois Lionet
- Status changed from New to Resolved
- Assignee changed from AOZ Studio Team to Francois Lionet

- Target version set to Beta 3

Fixed!

#3 - 07/15/2021 12:32 PM - Brian Flanagan

- Status changed from Resolved to Feedback

- Target version deleted (Beta 3)

- Estimated time set to 1:00 h

- Affected version changed from Beta RC2 to 1.0.0 (B8) u15

The Syntax Error has been corrected, however Hrev Block and Vrev Block still have a problem.
They only work the first time called.

Calling Hrev Block, Then Put Block, then calling HrevBlock again should restore the original block in memory, but it doesn't. The same goes for Vrev
Block. It works the first time, but doing it again does not restore the original block.

Here's an example:

#manifest: "amiga"

Curs Off : Flash Off

Box 0,0 To Screen Width-1,Screen Height-1
Draw 0,0 To Screen Width-1, Screen Height-1
Get Block 1,0,0,50,50

' This works

Hrev Block 1

Put Block 1,0,0

' This works

Vrev Block 1

Put Block 1,50,50

' This does NOT work (should flip the altered block horizontally)
Hrev Block 1

Put Block 1,100,100

' This does NOT work (should flip the altered block vertically)
' Should be back to original state after this Vrev

Vrev Block 1

Put Block 1,150,150
